/**
 * @author  daya
 * @createDate  2021/8/27 18:18
 * 备注:bar图表设置
 **/
// 按需引入,charts很多东西的
import {barColor, barSeries, opt, commonConfig} from '../../bar'
// bar
/**
 * 预设样式设置
 * ts-vue-bar-style-1, ts-vue-bar-style-2
 * 1: optStyle1 - optStyle10;
 * 2: optStyle11 - optStyle20;
 * 以此类推
 * **/
export const optStyle = {
  ...opt
}

// 柱状图宽度样式等设置(series)
export const seriesStyle = {
  ...barSeries
}

// 柱子颜色设置
export const colorStyle = {
  ...barColor
}

// 图标常用预设样式
export const chartConfig = {
  ...commonConfig
}

export const barOption = {
  chartConfig,
  colorStyle,
  seriesStyle,
  optStyle
}
