/**
 * @author  daya
 * @createDate  2021/8/27 18:18
 * 备注:line图表设置
 **/
import {lineColor, lineSeries, opt, commonConfig} from '../../line'
// bar
/**
 * 预设样式设置
 * ts-vue-line-style-1, ts-vue-line-style-2
 * 1: optStyle1 - optStyle10;
 * 2: optStyle11 - optStyle20;
 * 以此类推
 * **/
export const optStyle = {
  ...opt
}

// 柱状图宽度样式等设置(series)
export const seriesStyle = {
  ...lineSeries
}

// 柱子颜色设置
export const colorStyle = {
  ...lineColor
}

// 图标常用预设样式
export const chartConfig = {
  ...commonConfig
}

export const lineOption = {
  chartConfig,
  colorStyle,
  seriesStyle,
  optStyle
}
