/**
 * @author  daya
 * @createDate  2021/8/27 18:18
 * 备注:pie图表设置
 **/
import {pieColor, pieSeries, opt, commonConfig} from '../../pie'
// bar
/**
 * 预设样式设置
 * ts-vue-pie-style-1, ts-vue-pie-style-2
 * 1: optStyle1 - optStyle10;
 * 2: optStyle11 - optStyle20;
 * 以此类推
 * **/
export const optStyle = {
  ...opt
}

// 柱状图宽度样式等设置(series)
export const seriesStyle = {
  ...pieSeries
}

// 柱子颜色设置
export const colorStyle = {
  ...pieColor
}

// 图标常用预设样式
export const chartConfig = {
  ...commonConfig
}

export const pieOption = {
  chartConfig,
  colorStyle,
  seriesStyle,
  optStyle
}
