import Vue from 'vue'
import Router from 'vue-router'

Vue.use(Router)

export default new Router({
  routes: [
    {
      path: '/',
      redirect: '/home'
    },
    {
      path: '/home',
      name: `使用用例demo`,
      component: function (resolve) {
        require(['../pages/ts-vue-echarts-demo/home'], resolve)
      },
      meta: {
        requireAuth: true // 添加该字段，表示进入这个路由是需要登录的
      }
    },
    // {
    //   path: '/test',
    //   name: `使用用例demo`,
    //   component: function (resolve) {
    //     require(['../pages/ts-vue-echarts-demo/home/test1.vue'], resolve)
    //   },
    //   meta: {
    //     requireAuth: true // 添加该字段，表示进入这个路由是需要登录的
    //   }
    // }
  ]
})
