/**
 * IMPORT COMPONENTS
 */
import fullScreenContainer from './components/fullScreenContainer'
import loading from './components/loading/index'
// border box
import borderBox1 from './components/borderBox1'
import borderBox2 from './components/borderBox2'
import borderBox3 from './components/borderBox3'
import borderBox4 from './components/borderBox4'
import borderBox5 from './components/borderBox5'
import borderBox6 from './components/borderBox6'
import borderBox7 from './components/borderBox7'
import borderBox8 from './components/borderBox8'
import borderBox9 from './components/borderBox9'
import borderBox10 from './components/borderBox10'
import borderBox11 from './components/borderBox11'
import borderBox12 from './components/borderBox12'
import borderBox13 from './components/borderBox13'

// charts
// eslint-disable-next-line no-unused-vars
import charts from './components/charts'

// decoration
import decoration1 from './components/decoration1'
import decoration2 from './components/decoration2'
import decoration3 from './components/decoration3'
import decoration4 from './components/decoration4'
import decoration5 from './components/decoration5'
import decoration6 from './components/decoration6'
import decoration7 from './components/decoration7'
import decoration8 from './components/decoration8'
import decoration9 from './components/decoration9'
import decoration10 from './components/decoration10'
import decoration11 from './components/decoration11'
import decoration12 from './components/decoration12'

import activeRingChart from './components/activeRingChart'
import capsuleChart from './components/capsuleChart'
import waterLevelPond from './components/waterLevelPond'
import percentPond from './components/percentPond'
import flylineChart from './components/flylineChart'
import flylineChartEnhanced from './components/flylineChartEnhanced'
import conicalColumnChart from './components/conicalColumnChart'
import digitalFlop from './components/digitalFlop'
import scrollBoard from './components/scrollBoard'
import scrollRankingBoard from './components/scrollRankingBoard'
import scrollRankingBoard1 from './components/scrollRankingBoard-1'

let componentList = {
  fullScreenContainer,
  loading,
  borderBox1,
  borderBox2,
  borderBox3,
  borderBox4,
  borderBox5,
  borderBox6,
  borderBox7,
  borderBox8,
  borderBox9,
  borderBox10,
  borderBox11,
  borderBox12,
  borderBox13
}
export const component = componentList

/**
 * USE COMPONENTS
 */
export default function (Vue) {
  Vue.use(fullScreenContainer)
  Vue.use(loading)
  // border box
  Vue.use(borderBox1)
  Vue.use(borderBox2)
  Vue.use(borderBox3)
  Vue.use(borderBox4)
  Vue.use(borderBox5)
  Vue.use(borderBox6)
  Vue.use(borderBox7)
  Vue.use(borderBox8)
  Vue.use(borderBox9)
  Vue.use(borderBox10)
  Vue.use(borderBox11)
  Vue.use(borderBox12)
  Vue.use(borderBox13)

  // decoration
  Vue.use(decoration1)
  Vue.use(decoration2)
  Vue.use(decoration3)
  Vue.use(decoration4)
  Vue.use(decoration5)
  Vue.use(decoration6)
  Vue.use(decoration7)
  Vue.use(decoration8)
  Vue.use(decoration9)
  Vue.use(decoration10)
  Vue.use(decoration11)
  Vue.use(decoration12)
  // charts
  Vue.use(charts)

  Vue.use(activeRingChart)
  Vue.use(capsuleChart)
  Vue.use(waterLevelPond)
  Vue.use(percentPond)
  Vue.use(flylineChart)
  Vue.use(flylineChartEnhanced)
  Vue.use(conicalColumnChart)
  Vue.use(digitalFlop)
  Vue.use(scrollBoard)
  Vue.use(scrollRankingBoard)
  Vue.use(scrollRankingBoard1)
}
