/**
 * @author  daya
 * @createDate  2021/11/13 21:50
 * 备注:chart中grid的设置
 * 因为这个肉眼是看不出来的，也不是配置项，所有不用区分图标类型
 **/
let commonGrid = {
  /**
   * 全局通用开始
   **/
  // 柱状拿的
  gridStyle: {
    top: '0',
    bottom: '0',
    left: '0',
    right: '0',
    containLabel: true
  },
  gridStyle1: {
    top: '15%',
    bottom: '8%',
    left: '0%',
    right: '0%',
    containLabel: true
  },
  gridStyle2: {
    top: '10%',
    bottom: '8%',
    left: '0%',
    right: '0%',
    containLabel: true
  },
  gridStyle3: {
    top: '14%',
    bottom: '0%',
    left: '3%',
    right: '0%',
    containLabel: true
  },
  gridStyle4: {
    top: '15%',
    bottom: '8%',
    left: '2%',
    right: '2%',
    containLabel: true
  },
  gridStyle5: {
    top: '10%',
    bottom: '8%',
    left: '0%',
    right: '10%',
    containLabel: true
  },
  gridStyle6: {
    left: '3%',
    right: '4%',
    bottom: '3%',
    containLabel: true
  },
  gridStyle7: {
    left: '3%',
    right: '4%',
    bottom: '3%',
    containLabel: true
  },
  gridStyle8: {
    left: '8%',
    right: '8%',
    top: '25%',
    bottom: '12%',
    containLabel: true
  },
  gridStyle9: {
    top: '20%',
    left: '8%',
    right: '8%',
    bottom: '10%',
    containLabel: true
  },
  gridStyle10: {
    top: '20%',
    left: '8%',
    right: '8%',
    bottom: '10%',
    containLabel: true
  },
  gridStyle11: {
    top: '10%',
    bottom: '-48%',
    left: '-10%',
    right: '10%',
    containLabel: true
  },
  gridStyle31: {
    top: '30px',
    bottom: '0',
    left: '0',
    right: '0',
    containLabel: true
  },
  gridStyle32: {
    top: '40px',
    bottom: '0',
    left: '6px',
    right: '0',
    containLabel: true
  },

  gridStyle41: {
    top: '40px',
    bottom: '0',
    left: '0',
    containLabel: true
  },
  gridStyle42: {
    top: '110px',
    bottom: '0',
    left: '0',
    containLabel: true
  },
  gridStyle43: {
    top: '18px',
    bottom: '0',
    left: '0',
    containLabel: true
  },
  gridStyle33: {
    top: '40px',
    bottom: '0',
    left: '10px',
    right: '0',
    containLabel: true
  },
  gridStyle34: {
    top: '60px',
    bottom: '20px',
    left: '10px',
    right: '40px',
    containLabel: true
  },
  gridStyle35: {
    top: '60px',
    bottom: '20px',
    left: '10px',
    right: '50px',
    containLabel: true
  },
  gridStyle36: {
    top: '40px',
    bottom: '0px',
    left: '0px',
    right: '0px',
    containLabel: true
  },
  gridStyle37: {
    top: '55px',
    bottom: '0px',
    left: '0px',
    right: '50px',
    containLabel: true
  },
  gridStyle38: {
    top: '40px',
    bottom: '0px',
    left: '10px',
    right: '50px',
    containLabel: true
  },
  gridStyle39: {
    top: '30%',
    bottom: '5%',
    left: '6%',
    right: '5%',
    containLabel: true
  },
  gridStyle40: {
    top: '30%',
    bottom: '0',
    left: '5%',
    right: '5%',
    containLabel: true
  },
  gridStyle131: {
    top: '30%',
    bottom: '5%',
    left: '5%',
    right: '8%',
    containLabel: true
  }
}
export const lineGrid = {
  ...commonGrid
}
export const barGrid = {
  ...commonGrid
}
commonGrid.lineGrid = lineGrid
commonGrid.barGrid = barGrid
export const grid = {
  ...commonGrid
}
export default grid
