/**
 * @author  daya
 * @createDate  2021/11/15 16:16
 * 备注:series 因为series各不相同，所以分开写，抽里js的话，看后面写的多不多
 **/
import {barSeries as barSeriesStyle} from './map-series/chart-bar-series'
import {lineSeries as lineSeriesStyle} from './map-series/chart-line-series'
import {pieSeries as pieSeriesStyle} from './map-series/chart-pie-series'
export const barSeries = {
  ...barSeriesStyle
}
export const lineSeries = {
  ...lineSeriesStyle
}
export const pieSeries = {
  ...pieSeriesStyle
}
let commonSeries = {
  barSeries: {
    ...barSeries
  },
  lineSeries: {
    ...lineSeries
  },
  pieSeries: {
    ...pieSeries
  }
}
export const series = {
  ...commonSeries
}
export default series
