/**
 * @author  daya
 * @createDate  2021/11/15 11:26
 * 备注:预设样式汇总
 **/
import {grid, lineGrid, barGrid}
  from './assets/js/chart-perset/chart-grid'
// *提示语(tooltip)
import tooltip from './assets/js/chart-perset/chart-tooltip'
// *图例(legend)
import legend from './assets/js/chart-perset/chart-legend'
// *颜色(color)
import {color, lineColor, barColor, pieColor} from './assets/js/chart-perset/chart-color'
// *x轴 (xAxis)
import {xAxis, lineXAxis, barXAxis} from './assets/js/chart-perset/chart-xAxis'
// *y轴 (xAxis)
import {yAxis, lineYAxis, barYAxis} from './assets/js/chart-perset/chart-yAxis'
// *主体样式 (series)
import {series, barSeries, lineSeries, pieSeries} from './assets/js/chart-perset/chart-series.js'

import {toolbox} from './assets/js/chart-perset/chart-toolbox.js'
export default {
  grid,
  lineGrid,
  barGrid,
  tooltip,
  legend,
  color,
  lineColor,
  barColor,
  pieColor,
  xAxis,
  lineXAxis,
  barXAxis,
  yAxis,
  lineYAxis,
  barYAxis,
  series,
  barSeries,
  lineSeries,
  pieSeries,
  toolbox
}
