/**
 * @author  daya
 * @createDate  2021/11/8 16:46
 * 备注:地图自定义主题1
 **/
// 地图自定义主题1 浅蓝
export const theme1 = [{
  'featureType': 'water',
  'elementType': 'geometry',
  'stylers': {
    'color': '#132459'
  }
}, {
  'featureType': 'land',
  'elementType': 'geometry',
  'stylers': {
    'color': '#155bae'
  }
}, {
  'featureType': 'road',
  'elementType': 'geometry.fill',
  'stylers': {
    'color': '#152b63ff'
  }
}, {
  'featureType': 'road',
  'elementType': 'geometry.stroke',
  'stylers': {
    'color': '#1491c2'
  }
}, {
  'featureType': 'road',
  'elementType': 'geometry',
  'stylers': {
    'visibility': 'on'
  }
}, {
  'featureType': 'green',
  'elementType': 'geometry',
  'stylers': {
    'color': '#154489'
  }
}, {
  'featureType': 'poilabel',
  'elementType': 'labels.text.stroke',
  'stylers': {
    'color': '#132458'
  }
}, {
  'featureType': 'poilabel',
  'elementType': 'labels.text.fill',
  'stylers': {
    'color': '#85e4f9ff'
  }
}, {
  'featureType': 'districtlabel',
  'elementType': 'labels.text.fill',
  'stylers': {
    'color': '#85e4f9ff'
  }
}, {
  'featureType': 'districtlabel',
  'elementType': 'labels.text.stroke',
  'stylers': {
    'color': '#132458'
  }
}]
// 蓝色
export const theme2 = [
  {
    'featureType': 'water',
    'elementType': 'all',
    'stylers': {
      'color': '#03324C'
    }
  },
  {
    'featureType': 'land',
    'elementType': 'all',
    'stylers': {
      'color': '#031F33'
    }
  },
  {
    'featureType': 'boundary',
    'elementType': 'geometry',
    'stylers': {
      'color': '#3C4952'
    }
  },
  {
    'featureType': 'railway',
    'elementType': 'all',
    'stylers': {
      'visibility': 'off',
      'color': '#030C12'
    }
  },
  {
    'featureType': 'highway',
    'elementType': 'geometry',
    'stylers': {
      'color': '#030C12'
    }
  },
  {
    'featureType': 'highway',
    'elementType': 'geometry.fill',
    'stylers': {
      'color': '#030C12',
      'lightness': 1
    }
  },
  {
    'featureType': 'highway',
    'elementType': 'labels',
    'stylers': {
      'visibility': 'off',
      'color': '#030C12'
    }
  },
  {
    'featureType': 'arterial',
    'elementType': 'geometry',
    'stylers': {
      'color': '#030C12'
    }
  },
  {
    'featureType': 'arterial',
    'elementType': 'geometry.fill',
    'stylers': {
      'color': '#030C12'
    }
  },
  {
    'featureType': 'poi',
    'elementType': 'all',
    'stylers': {
      'visibility': 'off',
      'color': '#030C12'
    }
  },
  {
    'featureType': 'green',
    'elementType': 'all',
    'stylers': {
      'color': '#17312C',
      'visibility': 'on'
    }
  },
  {
    'featureType': 'local',
    'elementType': 'all',
    'stylers': {
      'visibility': 'off',
      'color': '#030C12'
    }
  },
  {
    'featureType': 'arterial',
    'elementType': 'labels',
    'stylers': {
      'visibility': 'off',
      'color': '#030C12'
    }
  },
  {
    'featureType': 'building',
    'elementType': 'all',
    'stylers': {
      'color': '#1a5787'
    }
  },
  {
    'featureType': 'label',
    'elementType': 'all',
    'stylers': {
      'visibility': 'off',
      'color': '#030C12'
    }
  },
  {
    'featureType': 'subway',
    'elementType': 'all',
    'stylers': {
      'visibility': 'off'
    }
  }
]
export const mapTheme = {
  theme1,
  theme2
}
